> ## Documentation Index
> Fetch the complete documentation index at: https://docs.cloudsquid.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Create a Reconciliation Row

> Create a Task without executing it.



## OpenAPI

````yaml post /projects/{project_name}/tables/{table_id}/tasks
openapi: 3.1.0
info:
  title: Cloudsquid
  description: This is the backend of cloudsquid specification
  termsOfService: cloudsquid.io
  contact:
    email: info@cloudsquid.io
  license:
    name: Apache 2.0
    url: http://www.apache.org/licenses/LICENSE-2.0.html
  version: 1.0.11
servers:
  - url: https://api.cloudsquid.io/api
    description: API
security:
  - api-key: []
paths:
  /projects/{project_name}/tables/{table_id}/tasks:
    parameters:
      - name: project_name
        in: path
        required: true
        description: The name of the project
        schema:
          type: string
      - name: table_id
        in: path
        required: true
        description: The id of the table
        schema:
          type: string
          format: uuid
    post:
      summary: Create a Reonciliation Task
      description: |
        Create a Task without executing it.
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/AgentJobInput'
      responses:
        '201':
          description: Task created successfully
          content:
            application/json:
              schema:
                type: object
                properties:
                  task_id:
                    type: string
                    format: uuid
                    description: The id of the created task
                required:
                  - task_id
        '400':
          description: Bad or malformed request
        '401':
          description: Unauthorized
        '403':
          description: Access denied
        '404':
          description: Table not found
        '500':
          description: Internal server error
components:
  schemas:
    AgentJobInput:
      type: object
      properties:
        files:
          type: array
          description: Filesystem object references
          items:
            $ref: '#/components/schemas/AgentJobFilesystemObject'
        data:
          description: Arbitrary data payload
          type: object
          additionalProperties: true
      required:
        - data
    AgentJobFilesystemObject:
      type: object
      properties:
        id:
          type: string
          format: uuid
      required:
        - id
  securitySchemes:
    api-key:
      type: apiKey
      in: header
      name: X-API-Key

````